function [ A ] = adjacency( M )
%ADJACENCY Buld adjacency matrix A from mesh M
%   M is a struct containing the m-by-3 matrix M.tri
%   Returns n-by-n adjacency matrix A, where n is the number of vertices.
%   A(i,j)==1 iff vertex i is adjacent to vertex j.

%row indices
I = [M.tri(:,1);M.tri(:,2);M.tri(:,3)];
%column indeces
J = [M.tri(:,2);M.tri(:,3);M.tri(:,1)];
%create sparse matrix with row/column indeces I,J
A = sparse(I,J,1.0);

%make matrix symmetric (an adjacency matrix is always symmetric)
A = A+A';
%make A a {0,1} matrix
A = double(A>0);

end

