function [ f ] = facearea( M )
%FACEAREA Computes the area of each face (triangle) of mesh M.
%   Returns vector f where f(i)==area of triangle i.

V = [M.X, M.Y, M.Z];

V1 = V(M.tri(:,2),:)-V(M.tri(:,1),:);
V2 = V(M.tri(:,3),:)-V(M.tri(:,1),:);
f = cross(V1,V2,2);
f = sqrt(sum(f.^2,2)).*0.5;
end

