function [ r ] = meshvolume( M )
%MESHVOLUME Computes the volume of mesh M.

numberOfFaces = size(M.tri,1);

V = [M.X, M.Y, M.Z];
r = 0;
for i=1:numberOfFaces
    v1 = V(M.tri(i,1),:);
    v2 = V(M.tri(i,2),:)-V(M.tri(i,1),:);
    v3 = V(M.tri(i,3),:)-V(M.tri(i,1),:);
    r = r - (1/6)*v1*cross(v2',v3');
end

end
